Bug 225584 - rh driver update model assumes modules in extra/<driver> subdirs
Summary: rh driver update model assumes modules in extra/<driver> subdirs
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-rpm-config   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Jon Masters
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: OtherQA
Depends On:
Blocks: 253733
TreeView+ depends on / blocked
 
Reported: 2007-01-31 15:01 UTC by George Beshers
Modified: 2009-06-19 14:13 UTC (History)
3 users (show)

Fixed In Version: RHEA-2007-0658
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 17:26:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0658 normal SHIPPED_LIVE redhat-rpm-config enhancement update 2007-11-08 14:14:06 UTC

Description George Beshers 2007-01-31 15:01:01 UTC
Description of problem:
There is what I consider a bogus assumption (bug) in the rpm spec template
generator for RHEL5.  It assumes the kernel modules are under the
/lib/modules/<kernel>/extrac/<driver> subdirectory.  If they are just in extra,
which is the default, the %preun scriptlet barfs.

I'd like to report this to RH.  We'll be using a modified template, since
we have to make other modifications, so we'll be ok.


[root@toasty1 SPECS]# rpm -e kmod-mspec
find: /lib/modules/2.6.18-1.3002.el5/extra/mspec: No such file or directory
error: %preun(kmod-mspec-1.0-sgi501b3edwardsg.ia64) scriptlet failed, exit status 1


Which comes from this line in /usr/lib/rpm/redhat/kmodtool:

%preun         -n kmod-${kmod_name}${dashvariant}
find /lib/modules/${verrel}${variant}/extra/${kmod_name} | grep '\.ko$' \
    > /var/run/rpm-kmod-${kmod_name}${dashvariant}-modules



Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Greg Edwards 2007-01-31 15:49:04 UTC
I would suggest doing something along the lines of what Novell does,
as there is no location requirement then.  rpm -ql the package in a subshell
and grep out the .ko's.  You do this already once in %post.

Comment 2 Jon Masters 2007-01-31 16:39:05 UTC
The assumption of a subdirectory was intentional. The idea being to keep modules
more cleanly seperated from one another - can you tell me how this is causing
problems? Is it that you're sharing source between RHEL and SLES?

Jon.


Comment 3 Greg Edwards 2007-01-31 17:01:32 UTC
Yes, exactly.  We have one source tree we use for building against both SLES
and RHEL.

Comment 4 Jon Masters 2007-02-07 20:03:29 UTC
I guess we could support this additional functionality in a future release - but
it won't make 5.0.

Jon.


Comment 5 Marizol Martinez 2007-04-12 15:50:45 UTC
Hey Jon -- Any updates on this one? Thanks!

Comment 6 RHEL Product and Program Management 2007-04-25 21:45:48 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 Marizol Martinez 2007-06-01 20:56:31 UTC
Red Hat Product Management and Engineering have evaluated this request and
currently plan to include it in the next Red Hat Enterprise Linux minor release.
Please note that its inclusion depends upon the successful completion of code
integration and testing.

Comment 10 Jon Masters 2007-06-06 06:07:44 UTC
Tagged with: redhat-rpm-config-8_0_45-19_el5

Comment 14 John Poelstra 2007-08-27 18:33:35 UTC
A fix for this issue should have been included in the packages contained in the
RHEL5.1-Snapshot3 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed as soon as possible to
ensure that it is included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

More assistance: If you cannot access bugzilla, please reply with a message to
Issue Tracker and I will change the status for you.  If you need assistance
accessing ftp://partners.redhat.com, please contact your Partner Manager.

Comment 15 John Poelstra 2007-08-31 00:27:46 UTC
A fix for this issue should have been included in the packages contained in the
RHEL5.1-Snapshot4 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed *as soon as possible*
to ensure that it is included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.


Comment 16 John Poelstra 2007-09-11 19:20:07 UTC
A fix for this issue should have been included in the packages contained in the
RHEL5.1-Snapshot6 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed ASAP to confirm that it
will be included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.

Comment 17 John Poelstra 2007-09-20 04:46:04 UTC
A fix for this issue should have been included in the packages contained in the
RHEL5.1-Snapshot7 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed ASAP to confirm that it
will be included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.

Comment 21 errata-xmlrpc 2007-11-07 17:26:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0658.html



Note You need to log in before you can comment on or make changes to this bug.